Bug 1256065 - AttributeError: 'UserSpoke' object has no attribute '_confirm_check'
Summary: AttributeError: 'UserSpoke' object has no attribute '_confirm_check'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Shea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:41a95885d254825a8aa607461e7...
Depends On:
Blocks: F23FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-08-23 19:05 UTC by A.J. Werkman
Modified: 2015-11-02 17:17 UTC (History)
8 users (show)

Fixed In Version: anaconda-23.19.10-1 anaconda-23.19.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-26 21:01:51 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (369.86 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: anaconda.log (22.78 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: dnf.log (61.78 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: dnf.rpm.log (32.11 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: environ (494 bytes, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: ks.cfg (2.20 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: lsblk_output (2.48 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: nmcli_dev_list (1.08 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: os_info (451 bytes, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: storage.log (172.26 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: syslog (114.38 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: ifcfg.log (2.35 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: packaging.log (1.78 KB, text/plain)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details
File: program.log (54.12 KB, application/octet-stream)
2015-08-23 19:05 UTC, A.J. Werkman
no flags Details

Description A.J. Werkman 2015-08-23 19:05:06 UTC
Version-Release number of selected component:
anaconda-23.17-1

The following was filed automatically by anaconda:
anaconda 23.17-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/user.py", line 496, in password_changed
    self._confirm_check.update_check_status()
AttributeError: 'UserSpoke' object has no attribute '_confirm_check'

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz selinux=0 inst.ks=hd:UUID=4738807b-c0c0-44eb-9fe9-5b0f3287ad3c:/ks.cfg ip=172.18.92.70::172.18.92.65:255.255.255.192:cfl.lc.digifarma.nl::off noipv6 nameserver=172.18.92.65 inst.stage2=hd:UUID=4738807b-c0c0-44eb-9fe9-5b0f3287ad3c
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-0.rc5.git0.2.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23

Comment 1 A.J. Werkman 2015-08-23 19:05:11 UTC
Created attachment 1066068 [details]
File: anaconda-tb

Comment 2 A.J. Werkman 2015-08-23 19:05:12 UTC
Created attachment 1066069 [details]
File: anaconda.log

Comment 3 A.J. Werkman 2015-08-23 19:05:14 UTC
Created attachment 1066070 [details]
File: dnf.log

Comment 4 A.J. Werkman 2015-08-23 19:05:16 UTC
Created attachment 1066071 [details]
File: dnf.rpm.log

Comment 5 A.J. Werkman 2015-08-23 19:05:17 UTC
Created attachment 1066072 [details]
File: environ

Comment 6 A.J. Werkman 2015-08-23 19:05:18 UTC
Created attachment 1066073 [details]
File: ks.cfg

Comment 7 A.J. Werkman 2015-08-23 19:05:19 UTC
Created attachment 1066074 [details]
File: lsblk_output

Comment 8 A.J. Werkman 2015-08-23 19:05:20 UTC
Created attachment 1066075 [details]
File: nmcli_dev_list

Comment 9 A.J. Werkman 2015-08-23 19:05:21 UTC
Created attachment 1066076 [details]
File: os_info

Comment 10 A.J. Werkman 2015-08-23 19:05:24 UTC
Created attachment 1066077 [details]
File: storage.log

Comment 11 A.J. Werkman 2015-08-23 19:05:26 UTC
Created attachment 1066078 [details]
File: syslog

Comment 12 A.J. Werkman 2015-08-23 19:05:27 UTC
Created attachment 1066079 [details]
File: ifcfg.log

Comment 13 A.J. Werkman 2015-08-23 19:05:28 UTC
Created attachment 1066080 [details]
File: packaging.log

Comment 14 A.J. Werkman 2015-08-23 19:05:30 UTC
Created attachment 1066081 [details]
File: program.log

Comment 15 David Shea 2015-08-27 20:20:54 UTC
What steps did you take to hit this point? _confirm_check is set in UserSpoke.initialize, so I'm curious what happened to bypass that.

Comment 16 A.J. Werkman 2015-08-27 21:03:45 UTC
I booted from a usb-drive that has vmlinuz, initrd, stage2 and kickstart file.
Booted with kickstart, so there was no user interaction at all.

Comment 17 David Shea 2015-10-06 22:10:55 UTC
I think I see what's happening, and I think it's the unencrypted password that's triggering it.

Comment 19 Adam Williamson 2015-10-21 18:22:44 UTC
It'd be good to get this in F23 if we slip, I think - kickstart crashes are always nice to fix. Also marking as CommonBugs in case we don't slip.

Comment 20 ericm24x7 2015-10-21 20:26:20 UTC
Another user experienced a similar problem:

install failed when I added the following line into the kickstart file

user  --name=adm6 --uid=1000 --password=2install.adm

addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=http://192.168.5.204/a/m/sf/dev/x86_64/os/isolinux/vmlinuz inst.ks=http://192.168.5.204/a/ks/fddb6
dnf.rpm.log:    Oct 21 12:57:11 INFO --- logging initialized ---
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
package:        anaconda-23.19.7-1
product:        Fedora
reason:         AttributeError: 'UserSpoke' object has no attribute '_confirm_check'
release:        Cannot get release name.
version:        23

Comment 21 Adam Williamson 2015-10-22 17:38:38 UTC
Discussed at 2015-10-22 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2015-10-22/f23-fe-review.2015-10-22-17.30.log.txt . Accepted as a freeze exception issue: fixing installer crashes in realistic scenarios is always a good idea.

Comment 22 David Shea 2015-10-22 17:50:31 UTC
cherry-picked to f23.

Comment 23 Fedora Update System 2015-10-22 20:22:58 UTC
anaconda-23.19.10-1.fc23 python-blivet-1.12.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-da7ada8825

Comment 24 Fedora Update System 2015-10-24 12:09:10 UTC
anaconda-23.19.10-1.fc23, python-blivet-1.12.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update anaconda python-blivet'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-da7ada8825

Comment 25 Fedora Update System 2015-10-26 21:01:02 UTC
anaconda-23.19.10-1.fc23, python-blivet-1.12.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.